using cuqmbr.TravelGuide.Application.Common.Authorization;
using cuqmbr.TravelGuide.Application.Common.Interfaces.Services;
using MediatR.Behaviors.Authorization;

namespace cuqmbr.TravelGuide.Application.Authenticaion.Commands
    .RenewAccessTokenWithCookie;

public class RenewAccessTokenWithCookieCommandAuthorizer :
    AbstractRequestAuthorizer<RenewAccessTokenWithCookieCommand>
{
    private readonly SessionUserService _sessionUserService;

    public RenewAccessTokenWithCookieCommandAuthorizer(
        SessionUserService currentUserService)
    {
        _sessionUserService = currentUserService;
    }

    public override void BuildPolicy(RenewAccessTokenWithCookieCommand request)
    {
        UseRequirement(new MustBeAuthenticatedRequirement
        {
            IsAuthenticated = _sessionUserService.IsAuthenticated
        });
    }
}
