using cuqmbr.TravelGuide.Application.Common.Authorization;
using cuqmbr.TravelGuide.Application.Common.Interfaces.Services;
using MediatR.Behaviors.Authorization;

namespace cuqmbr.TravelGuide.Application.Authenticaion.Commands
    .RevokeRefreshTokenWithCookie;

public class RevokeRefreshTokenWithCookieCommandAuthorizer :
    AbstractRequestAuthorizer<RevokeRefreshTokenWithCookieCommand>
{
    private readonly SessionUserService _sessionUserService;

    public RevokeRefreshTokenWithCookieCommandAuthorizer(
        SessionUserService currentUserService)
    {
        _sessionUserService = currentUserService;
    }

    public override void BuildPolicy(RevokeRefreshTokenWithCookieCommand request)
    {
        UseRequirement(new MustBeAuthenticatedRequirement
        {
            IsAuthenticated = _sessionUserService.IsAuthenticated
        });
    }
}
