using cuqmbr.TravelGuide.Application.Common.Mappings;
using cuqmbr.TravelGuide.Domain.Entities;

namespace cuqmbr.TravelGuide.Application.Cities;

public sealed class CityDto : IMapFrom<City>
{
    public Guid Uuid { get; set; }

    public string Name { get; set; }

    public Guid CountryUuid { get; set; }

    public string CountryName { get; set; }

    public Guid RegionUuid { get; set; }

    public string RegionName { get; set; }

    public void Mapping(MappingProfile profile)
    {
        profile.CreateMap<City, CityDto>()
            .ForMember(
                d => d.Uuid,
                opt => opt.MapFrom(s => s.Guid))
            .ForMember(
                d => d.CountryUuid,
                opt => opt.MapFrom(s => s.Region.Country.Guid))
            .ForMember(
                d => d.CountryName,
                opt => opt.MapFrom(s => s.Region.Country.Name))
            .ForMember(
                d => d.RegionUuid,
                opt => opt.MapFrom(s => s.Region.Guid))
            .ForMember(
                d => d.RegionName,
                opt => opt.MapFrom(s => s.Region.Name));
    }
}
