using cuqmbr.TravelGuide.Application.Common.Mappings;
using cuqmbr.TravelGuide.Domain.Entities;

namespace cuqmbr.TravelGuide.Application.Countries;

public sealed class CountryDto : IMapFrom<Country>
{
    public Guid Uuid { get; set; }

    public string Name { get; set; }

    public void Mapping(MappingProfile profile)
    {
        profile.CreateMap<Country, CountryDto>()
            .ForMember(
                d => d.Uuid,
                opt => opt.MapFrom(s => s.Guid));
    }
}
