using cuqmbr.TravelGuide.Application.Common.Interfaces.Services;
using System.Globalization;

namespace cuqmbr.TravelGuide.HttpApi.Middlewares;

public class ThreadCultureSetterMiddleware : IMiddleware
{
    private readonly CultureService _cultureService;

    public ThreadCultureSetterMiddleware(CultureService cultureService)
    {
        _cultureService = cultureService;
    }

    public async Task InvokeAsync(HttpContext context, RequestDelegate next)
    {
        CultureInfo.DefaultThreadCurrentCulture = _cultureService.Culture;
        CultureInfo.DefaultThreadCurrentUICulture = _cultureService.Culture;

        await next(context);
    }
}
