namespace cuqmbr.TravelGuide.Identity;

public sealed class ConfigurationOptions
{
    public static string SectionName { get; } = "Identity";

    public Datastore Datastore { get; set; } = new();

    public JsonWebToken JsonWebToken { get; set; } = new();
}

public sealed class Datastore
{
    public string Type { get; set; } = "inmemory";

    public string ConnectionString { get; set; } = "InMemory";

    public string PartitionName { get; set; } = "identity";

    public bool Migrate { get; set; } = true;
}

public sealed class JsonWebToken
{
    public string Issuer { get; set; } = "localhost";

    public string Audience { get; set; } = "localhost";

    public string IssuerSigningKey { get; set; } = "change-me";

    public TimeSpan AccessTokenValidity { get; set; } = TimeSpan.FromMinutes(15);

    public TimeSpan RefreshTokenValidity { get; set; } = TimeSpan.FromDays(3);
}
