using cuqmbr.TravelGuide.Domain.Enums;
using cuqmbr.TravelGuide.Domain.Entities;
using Microsoft.EntityFrameworkCore;
using cuqmbr.TravelGuide.Persistence.TypeConverters;

namespace cuqmbr.TravelGuide.Persistence.InMemory;

public class InMemoryDbContext : DbContext
{
    public InMemoryDbContext(DbContextOptions<InMemoryDbContext> options)
        : base(options) { }

    public DbSet<Country> Countries { get => Set<Country>(); }
    public DbSet<Region> Regions { get => Set<Region>(); }
    public DbSet<City> Cities { get => Set<City>(); }
    public DbSet<Address> Addresses { get => Set<Address>(); }

    protected override void OnModelCreating(ModelBuilder builder)
    {
        base.OnModelCreating(builder);
    }

    protected override void ConfigureConventions(
        ModelConfigurationBuilder builder)
    {
        builder
            .Properties<VehicleType>()
            .HaveColumnType("vehicle_type")
            .HaveConversion<VehicleTypeConverter>();
    }
}
